Bug 116684 - %post scriptlet uses chown incorrectly
Summary: %post scriptlet uses chown incorrectly
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-24 11:47 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 00:46:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2004-02-24 11:47:46 UTC
Description of problem:
'chown rpm.rpm' should be replaced with 'chown rpm:rpm'.  Obvious bad
consequences if there is an rpm.rpm user name, and anyway the '.'
syntax will go away eventually.

Version-Release number of selected component (if applicable):
4.3-0.13

Comment 1 Jeff Johnson 2004-02-25 09:35:03 UTC
Is this change from rpm.rpm to rpm:rpm really necessary?

It will create endless problems with spec files.

Comment 2 Tim Waugh 2004-02-25 09:38:11 UTC
POSIX disallows it.  The xxx.yyy syntax will go away eventually.

Comment 3 Jeff Johnson 2005-10-26 00:46:09 UTC
Fixed in rpm-4.4.3-0.24 when built.


Note You need to log in before you can comment on or make changes to this bug.